Waiting for engine...
Skip to main content

Boomi Platform Connector API Reference (1.0.0) - ConnectorVisibility

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Connector Visibility

Submit a connector visibility change request and ask to review the visibility change of your connector.

Features and Privileges

Ensure that you have :

  • DEVELOPER and API privileges for visibility changes from PRIVATE to HIDDEN

  • CONNECTOR_ADMINISTRATION feature and the CONNECTOR_SUBMISSION privilege, in addition to the DEVELOPER and API privileges, for visibility changes from PRIVATE to PUBLIC or PUBLIC to HIDDEN

Submit a connector visibility change request

Use the ConnectorVisibility operation to submit a connector visibility change request to change the visibility of your connector.

Authorizations:
basicAuth
Request Body schema:
optional
classificationType
required
string

Corresponds to the value of the Type column of Developer tab > Connectors table in the Boomi Enterprise Platform.

visibility
required
string
Enum: "HIDDEN" "PRIVATE" "PUBLIC"

Responses

Response Schema:
classificationType
required
string

Corresponds to the value of the Type column of Developer tab > Connectors table in the Boomi Enterprise Platform.

reviewStatus
required
string
Enum: "APPROVED" "CANCELLED" "PENDING" "REJECTED"
submittedBy
required
string
visibility
required
string
Enum: "HIDDEN" "PRIVATE" "PUBLIC"
uid
integer <int64>

Request samples

Content type
{
  • "classificationType": "sample-connector-classification",
  • "visibility": "HIDDEN"
}

Response samples

Content type
{
  • "classificationType": "sample-connector-classification",
  • "visibility": "HIDDEN",
  • "reviewStatus": "PENDING",
  • "submittedBy": "Lastname, Firstname",
  • "uid": 0
}

Cancel a connector visibility change request

Use the ConnectorVisibility operation to cancel a pending connector visibility change request.

Authorizations:
basicAuth
Request Body schema:
optional
classificationType
required
string

Corresponds to the value of the Type column of Developer tab > Connectors table in the Boomi Enterprise Platform.

Responses

Response Schema:
classificationType
required
string

Corresponds to the value of the Type column of Developer tab > Connectors table in the Boomi Enterprise Platform.

reviewStatus
required
string
Enum: "APPROVED" "CANCELLED" "PENDING" "REJECTED"
submittedBy
required
string
visibility
required
string
Enum: "HIDDEN" "PRIVATE" "PUBLIC"
uid
integer <int64>

Request samples

Content type
{
  • "classificationType": "sample-connector-classification"
}

Response samples

Content type
{
  • "classificationType": "sample-connector-classification",
  • "visibility": "HIDDEN",
  • "reviewStatus": "CANCELLED",
  • "submittedBy": "Lastname, Firstname",
  • "uid": 0
}